## ros-melodic-qb-device-hardware-interface 2.0.1

=== debian/changelog ===
ros-melodic-qb-device-hardware-interface (2.0.1-0stretch) stretch; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 31 May 2018 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (2.0.0-0stretch) stretch; urgency=high

  * Add device configuration to the state topic info
  * Fix recovery on service server fault
  * Refactor node registration
  * Fix accidental repetitions with namespace prefix
  * Refactor initialization by extending the base init
  * Add method to get currents and positions together
  * Fix repetitions reliablity check
  * Add a blocking setCommands method
  * Refactor launch files and fix controllers spawner
  * Fix minors
  * Let the user decide whether to read/write or not
  * Refactor node registration
  * Add repetitions while reading from serial

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.2.2-0stretch) stretch; urgency=high

  * Fix possible fault on registration
  * Refactor service clients management

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 29 Nov 2017 23:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.1.0-0stretch) stretch; urgency=high

  * Add notes for the future

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.8-0stretch) stretch; urgency=high

  * Fix C++11 support for cmake version less than 3.1

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.7-0stretch) stretch; urgency=high

  * Fix minor build problems

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 25 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.6-0stretch) stretch; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.5-0stretch) stretch; urgency=high

  * remove gmock unsupported dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.4-0stretch) stretch; urgency=high

  * fix cmake settings to solve isolated builds (install also libraries)

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.3-0stretch) stretch; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.2-0stretch) stretch; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 19 Jun 2017 22:00:00 -0000

ros-melodic-qb-device-hardware-interface (1.0.1-0stretch) stretch; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000
