=== debian/control ===
Source: ros-melodic-qb-device-hardware-interface
Section: misc
Priority: extra
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-hardware-interface, ros-melodic-joint-limits-interface, ros-melodic-qb-device-msgs, ros-melodic-qb-device-srvs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-transmission-interface, ros-melodic-urdf
Homepage: http://wiki.ros.org/qb_device_hardware_interface
Standards-Version: 3.9.2

Package: ros-melodic-qb-device-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hardware-interface, ros-melodic-joint-limits-interface, ros-melodic-qb-device-msgs, ros-melodic-qb-device-srvs, ros-melodic-roscpp, ros-melodic-transmission-interface, ros-melodic-urdf
Description: This package contains a device-independent hardware interface for qbrobotics® devices.
